Bug 104067 - Wish: duplicate image finder should offer more actions on duplicate images found
Summary: Wish: duplicate image finder should offer more actions on duplicate images found
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Similarity (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 22 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-17 17:31 UTC by polarbear
Modified: 2017-07-05 04:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description polarbear 2005-04-17 17:31:08 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Gentoo Packages
OS:                Linux

Since the "Find duplicate images" plugin allow approximate image matching, i.e. non-excat, it should provide more actions to deal with the duplicate images found. Some of the things that might be useful are:-

1. full screen view, zooming of the duplicate image(s) to allow close examination before deciding how to deal with the duplicate image(s).

2. allow the duplicate image(s) to be renamed and moved.

3. allow change of meta info, exif data of the image.
Comment 1 Michael Greifeneder 2006-06-30 12:09:56 UTC
An additional option "Delete all duplicates" would be nice. 
Checking all images and clicking on every checkbox is very frustrating, especially if you have many duplicate images and want to delete all duplicates. Another nice option would be "Select all duplicate images", which selects all checkboxes and after a review of all images you could "Delete all selected images".
Comment 2 Peter Kuhn 2007-08-22 12:51:42 UTC
Duplicate image finder should allow to include temporarily mounted file systems (CD-s for example). At present I can only do this by allowing digikam to copy the CD to the home directory and removing the copy manually afterwards.
Comment 3 caulier.gilles 2008-06-16 23:26:00 UTC
SVN commit 821218 by cgilles:

digiKam from trunk: "Et Voila !!!" Now the Find Duplicates tool from digiKam core is fully functional. This one is based on Haar wavelets fingerprints managed by new digiKam database.
A screenshot : http://digikam3rdparty.free.fr/Screenshots/temp/findduplicatesview3.png

Note: with KDE4, the old FindImages kipi-plugin become obsolete wit digiKam.

BUGS: 162152
BUGS: 161858
BUGS: 150077
BUGS: 112473
BUGS: 107095
BUGS: 104067


 M  +40 -23    findduplicatesview.cpp  
 M  +10 -7     findduplicatesview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=821218
Comment 4 Murray Strome 2008-08-24 15:53:12 UTC
Find Duplicate images gives a list of images on the left, with the similar or identical ones on the right when you select an image on the left. Unfortunately, the only images you can delete are those on the right. Very often, it is the one on the left that I want to delete. (I am using kipiplugins 1.1.5-1 with either Digikam or KPhotoAlbum in Kubuntu 8.04).  

Also, if the image is a RAW image (in my case, Pentax .pef), no thumbnail is shown.

Is this something that is going to be changed, and if so when.

(Sorry if this is a duplicate request -- I am new to this list)